Package com.oracle.truffle.api

## Interface ReplaceObserver

    public interface ReplaceObserver

An observer that is notified whenever a child node is replaced.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `nodeReplaced​(Node oldNode, Node newNode, java.lang.CharSequence reason)`

### Method Detail

#### nodeReplaced

    void nodeReplaced​(Node oldNode,
                      Node newNode,
                      java.lang.CharSequence reason)